Page MenuHomePhabricator

[mlir][ODS] Get rid of limitations in rewriters generator
ClosedPublic

Authored by vinograd47 on Mar 3 2021, 1:09 AM.

Details

Summary

Do not limit the number of arguments in rewriter pattern.

Introduce separate FmtStrVecObject class to handle
format of variadic std::string array.

Diff Detail

Event Timeline

vinograd47 created this revision.Mar 3 2021, 1:09 AM
vinograd47 requested review of this revision.Mar 3 2021, 1:09 AM
vinograd47 updated this revision to Diff 327770.Mar 3 2021, 6:34 AM

Fixed clang-format issues.

Nice!

mlir/tools/mlir-tblgen/RewriterGen.cpp
252

I think this todo is still pending

vinograd47 updated this revision to Diff 329260.Mar 9 2021, 2:32 AM

Rebased and fixed review remarks.

vinograd47 marked an inline comment as done.Mar 9 2021, 2:35 AM

@jpienaar I've fixed your remark.

flaub added a subscriber: flaub.Mar 10 2021, 12:17 PM

Do we have test for this tool already? If so can you update the test to show the effect of the change?

@mehdi_amini I've added a test for the change.

mehdi_amini accepted this revision.Wed, Mar 17, 12:56 PM
This revision is now accepted and ready to land.Wed, Mar 17, 12:56 PM